import { v4 as uuid } from 'uuid';
import accountService from '../../services/account.service';
export async function createAccount() {
    const acc = await accountService.createAccount(uuid());
    if (!acc) {
        throw new Error('failed_to_create_account');
    }
    return acc;
}
//# sourceMappingURL=account.seeder.js.map