export default async function fetchData(nango) {
    const proxyConfig = {
        endpoint: '/v1/eeoc',
        params: {
            per_page: 500
        }
    };
    for await (const eeoc of nango.paginate(proxyConfig)) {
        const data = eeoc.map((e) => {
            return {
                ...e,
                id: `${e.application_id}/${e.candidate_id}`
            };
        });
        await nango.batchSave(data, 'GreenhouseEeoc');
    }
}
//# sourceMappingURL=nested-return-sync.js.map