import type { AxiosError, AxiosResponse } from 'axios';
import type { RecentlyCreatedConnection, Connection, ConnectionConfig } from '../../../models/Connection.js';
import type { UserProvidedProxyConfiguration } from '../../../models/Proxy.js';
export interface InternalNango {
    getConnection: () => Promise<Connection>;
    proxy: ({ method, endpoint, data }: UserProvidedProxyConfiguration) => Promise<AxiosResponse | AxiosError>;
    updateConnectionConfig: (config: ConnectionConfig) => Promise<ConnectionConfig>;
}
declare function execute(createdConnection: RecentlyCreatedConnection, provider: string): Promise<void>;
export default execute;
