import type { Knex } from 'knex';
export declare function getDbConfig({ timeoutMs }: {
    timeoutMs: number;
}): Knex.Config<any>;
export declare class KnexDatabase {
    knex: Knex;
    constructor({ timeoutMs }?: {
        timeoutMs: number;
    });
    migrate(directory: string): Promise<any>;
    schema(): string;
}
declare const db: KnexDatabase;
export default db;
export { db as database };
export declare const schema: () => Knex.QueryBuilder;
export declare const dbNamespace = "_nango_";
export declare const multipleMigrations: () => Promise<void>;
