import * as activityService from '../../services/activity/activity.service.js';
export const createActivityLogSeed = async (environmentId) => {
    const log = {
        level: 'info',
        success: true,
        start: Date.now(),
        end: Date.now(),
        timestamp: Date.now(),
        environment_id: environmentId,
        operation_name: 'test'
    };
    const activityLogId = await activityService.createActivityLog(log);
    return activityLogId;
};
//# sourceMappingURL=activity.seeder.js.map