import db from '../database.js';
import * as jobService from '../../services/sync/job.service.js';
import { createSyncSeeds } from './sync.seeder.js';
import { SyncType, SyncStatus } from '../../models/Sync.js';
export const createSyncJobSeeds = async (connectionId = 1) => {
    const sync = await createSyncSeeds(connectionId);
    return (await jobService.createSyncJob(sync.id, SyncType.INITIAL, SyncStatus.RUNNING, '', null));
};
export const deleteAllSyncJobSeeds = async () => {
    await db.knex.raw('TRUNCATE TABLE _nango_sync_jobs CASCADE');
};
//# sourceMappingURL=sync-job.seeder.js.map