declare class CompileService {
    run(debug?: boolean, syncName?: string): Promise<boolean>;
}
export interface ListedFile {
    inputPath: string;
    outputPath: string;
    baseName: string;
}
export declare function getFileToCompile(filePath: string): ListedFile;
export declare function listFilesToCompile({ cwd, syncName }?: {
    cwd?: string;
    syncName?: string | undefined;
}): ListedFile[];
declare const compileService: CompileService;
export default compileService;
