import db from '../database.js';
import * as syncService from '../../services/sync/sync.service.js';
export const createSyncSeeds = async (connectionId = 1) => {
    const syncName = Math.random().toString(36).substring(7);
    return (await syncService.createSync(connectionId, syncName));
};
export const deleteAllSyncSeeds = async () => {
    await db.knex.raw('TRUNCATE TABLE _nango_syncs CASCADE');
};
//# sourceMappingURL=sync.seeder.js.map