export var NodeEnv;
(function (NodeEnv) {
    NodeEnv["Dev"] = "development";
    NodeEnv["Staging"] = "staging";
    NodeEnv["Prod"] = "production";
})(NodeEnv || (NodeEnv = {}));
export function getEnv() {
    if (isStaging()) {
        return NodeEnv.Staging;
    }
    else if (isProd()) {
        return NodeEnv.Prod;
    }
    else {
        return NodeEnv.Dev;
    }
}
export function isStaging() {
    return process.env['NODE_ENV'] === NodeEnv.Staging;
}
export function isProd() {
    return process.env['NODE_ENV'] === NodeEnv.Prod;
}
//# sourceMappingURL=environment-detection.js.map