import type { Config as ProviderConfig } from './../../../models/Provider.js';
import type { SyncConfig } from './../../../models/Sync.js';
export interface InternalNango {
    getWebhooks: (environment_id: number, nango_config_id: number) => Promise<SyncConfig[]>;
    executeScriptForWebhooks(integration: ProviderConfig, body: any, webhookType: string, connectionIdentifier: string, propName?: string): Promise<{
        connectionIds: string[];
    }>;
}
export declare const internalNango: InternalNango;
