import type { DataResponse } from '../../../models/Data.js';
import type { Connection } from '../../../models/Connection.js';
export declare function upsertRecords(n: number): Promise<{
    connection: Connection;
    model: string;
}>;
export declare function createRecords(records: DataResponse[], environmentName?: string): Promise<{
    meta: {
        nangoConnectionId: number;
        modelName: string;
        syncId: string;
        syncJobId: number;
    };
    response: import("../../../index.js").ServiceResponse<import("../../../index.js").DataRecord[]>;
}>;
export declare function generateInsertableJson(num: number): {
    id: string;
    name: string;
    email: string;
    phone: string;
    address: string;
    city: string;
    state: string;
    zip: string;
    country: string;
    company: string;
    jobTitle: string;
    website: string;
    externalCreatedAt: string;
    updatedAt: string;
    externalUpdatedAt: string;
}[];
