import { SyncType } from '../../../models/Sync.js';
import type { NangoConnection } from '../../../models/Connection';
import type { SyncResult } from '../../../models/Sync';
declare class WebhookService {
    private retry;
    private getSignatureHeader;
    private filterHeaders;
    send(nangoConnection: NangoConnection, syncName: string, model: string, responseResults: SyncResult, syncType: SyncType, now: Date | undefined, activityLogId: number, environment_id: number): Promise<void>;
    forward(environment_id: number, providerConfigKey: string, provider: string, payload: Record<string, any> | null, webhookOriginalHeaders: Record<string, any>): Promise<void>;
}
declare const _default: WebhookService;
export default _default;
